QT       += core gui network
QT       += charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    code/board/AO_StaticAO/StaticAO.cpp \
    code/chart/chart_file.cpp \
    code/login/login_switch.cpp \
    code/model_select/model_select.cpp \
    code/pid_control/pid_control.cpp \
    code/scope/scope.cpp \
    code/set/set.cpp \
    code/taijia/tj/test_tj.cpp \
    code/tcp/tcp.cpp \
    code/tree/tree_model_set.cpp \
    main.cpp \
    mainwindow.cpp

HEADERS += \
    code/board/inc/compatibility.h \
    code/chart/chart_file.h \
    code/login/login_switch.h \
    code/model_select/model_select.h \
    code/pid_control/pid_control.h \
    code/scope/scope.h \
    code/set/set.h \
    code/taijia/tj/test_tj.h \
    code/tcp/tcp.h \
    code/tree/tree_model_set.h \
    mainwindow.h

FORMS += \
    code/chart/chart_file.ui \
    code/login/login_switch.ui \
    code/model_select/model_select.ui \
    code/scope/scope.ui \
    code/set/set.ui \
    code/taijia/tj/test_tj.ui \
    code/tcp/tcp.ui \
    mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    icon/icon.qrc

DISTFILES += \
    data/3.txt \
    src/picture/海洋.png \
    src/picture/海洋.png
